source: trunk/makefile.in @ 1338

Last change on this file since 1338 was 1338, checked in by bradbell, 12 years ago

trunk: Only put one copy of documentation in distribution.

doc.omh.in: link to web for other versions of documentation.
build.sh: build one doc version for distribution, but test all.
gpl_license: make work with new run_omhelp.sh, improve error checking.
makefile.am: let developers build developer documentation.
run_omhelp.sh: add printable and clean to list of options.
makefile.in: changes generated by automake from makefile.am.
whats_new_09.omh: user's view of the changes.

File size: 29.3 KB
Line 
1# makefile.in generated by automake 1.10.1 from makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkglibdir = $(libdir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@
21am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22install_sh_DATA = $(install_sh) -c -m 644
23install_sh_PROGRAM = $(install_sh) -c
24install_sh_SCRIPT = $(install_sh) -c
25INSTALL_HEADER = $(INSTALL_DATA)
26transform = $(program_transform_name)
27NORMAL_INSTALL = :
28PRE_INSTALL = :
29POST_INSTALL = :
30NORMAL_UNINSTALL = :
31PRE_UNINSTALL = :
32POST_UNINSTALL = :
33subdir = .
34DIST_COMMON = README $(am__configure_deps) $(nobase_myinclude_HEADERS) \
35        $(srcdir)/doc.omh.in $(srcdir)/makefile.am \
36        $(srcdir)/makefile.in $(top_srcdir)/configure \
37        $(top_srcdir)/cppad/config.h.in \
38        $(top_srcdir)/omh/install_unix.omh.in \
39        $(top_srcdir)/omh/install_windows.omh.in AUTHORS COPYING \
40        ChangeLog INSTALL NEWS depcomp install-sh missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.ac
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/cppad/config.h
49CONFIG_CLEAN_FILES = doc.omh omh/install_unix.omh \
50        omh/install_windows.omh
51SOURCES =
52DIST_SOURCES =
53RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54        html-recursive info-recursive install-data-recursive \
55        install-dvi-recursive install-exec-recursive \
56        install-html-recursive install-info-recursive \
57        install-pdf-recursive install-ps-recursive install-recursive \
58        installcheck-recursive installdirs-recursive pdf-recursive \
59        ps-recursive uninstall-recursive
60am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
61am__vpath_adj = case $$p in \
62    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
63    *) f=$$p;; \
64  esac;
65am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
66am__installdirs = "$(DESTDIR)$(myincludedir)"
67nobase_myincludeHEADERS_INSTALL = $(install_sh_DATA)
68HEADERS = $(nobase_myinclude_HEADERS)
69RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
70  distclean-recursive maintainer-clean-recursive
71ETAGS = etags
72CTAGS = ctags
73DIST_SUBDIRS = ipopt_cppad example introduction/get_started \
74        introduction/exp_apx print_for speed/cppad speed/double \
75        speed/example speed/profile speed/adolc speed/fadbad \
76        speed/sacado test_more
77DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
78distdir = $(PACKAGE)-$(VERSION)
79top_distdir = $(distdir)
80am__remove_distdir = \
81  { test ! -d $(distdir) \
82    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
83         && rm -fr $(distdir); }; }
84DIST_ARCHIVES = $(distdir).tar.gz
85GZIP_ENV = --best
86distuninstallcheck_listfiles = find . -type f -print
87distcleancheck_listfiles = find . -type f -print
88ACLOCAL = @ACLOCAL@
89ADOLC_DIR = @ADOLC_DIR@
90AMTAR = @AMTAR@
91AUTOCONF = @AUTOCONF@
92AUTOHEADER = @AUTOHEADER@
93AUTOMAKE = @AUTOMAKE@
94AWK = @AWK@
95BOOST_DIR = @BOOST_DIR@
96CC = @CC@
97CCDEPMODE = @CCDEPMODE@
98CFLAGS = @CFLAGS@
99CPP = @CPP@
100CPPFLAGS = @CPPFLAGS@
101CXX = @CXX@
102CXXDEPMODE = @CXXDEPMODE@
103CXXFLAGS = @CXXFLAGS@
104CXX_FLAGS = @CXX_FLAGS@
105CYGPATH_W = @CYGPATH_W@
106DEFS = @DEFS@
107DEPDIR = @DEPDIR@
108DL_LIB = @DL_LIB@
109ECHO_C = @ECHO_C@
110ECHO_N = @ECHO_N@
111ECHO_T = @ECHO_T@
112EXEEXT = @EXEEXT@
113FADBAD_DIR = @FADBAD_DIR@
114FC = @FC@
115FCFLAGS = @FCFLAGS@
116FCLIBS = @FCLIBS@
117INSTALL = @INSTALL@
118INSTALL_DATA = @INSTALL_DATA@
119INSTALL_PROGRAM = @INSTALL_PROGRAM@
120INSTALL_SCRIPT = @INSTALL_SCRIPT@
121INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122IPOPT_DIR = @IPOPT_DIR@
123LDFLAGS = @LDFLAGS@
124LIBOBJS = @LIBOBJS@
125LIBS = @LIBS@
126LTLIBOBJS = @LTLIBOBJS@
127MAINT = @MAINT@
128MAKEINFO = @MAKEINFO@
129MKDIR_P = @MKDIR_P@
130OBJEXT = @OBJEXT@
131PACKAGE = @PACKAGE@
132PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
133PACKAGE_NAME = @PACKAGE_NAME@
134PACKAGE_STRING = @PACKAGE_STRING@
135PACKAGE_TARNAME = @PACKAGE_TARNAME@
136PACKAGE_VERSION = @PACKAGE_VERSION@
137PATH_SEPARATOR = @PATH_SEPARATOR@
138POSTFIX_DIR = @POSTFIX_DIR@
139PTHREAD_LIB = @PTHREAD_LIB@
140RANLIB = @RANLIB@
141SACADO_DIR = @SACADO_DIR@
142SET_MAKE = @SET_MAKE@
143SHELL = @SHELL@
144STRIP = @STRIP@
145VERSION = @VERSION@
146abs_builddir = @abs_builddir@
147abs_srcdir = @abs_srcdir@
148abs_top_builddir = @abs_top_builddir@
149abs_top_srcdir = @abs_top_srcdir@
150ac_ct_CC = @ac_ct_CC@
151ac_ct_CXX = @ac_ct_CXX@
152ac_ct_FC = @ac_ct_FC@
153am__include = @am__include@
154am__leading_dot = @am__leading_dot@
155am__quote = @am__quote@
156am__tar = @am__tar@
157am__untar = @am__untar@
158bindir = @bindir@
159build_alias = @build_alias@
160builddir = @builddir@
161datadir = @datadir@
162datarootdir = @datarootdir@
163docdir = @docdir@
164dvidir = @dvidir@
165exec_prefix = @exec_prefix@
166host_alias = @host_alias@
167htmldir = @htmldir@
168includedir = @includedir@
169infodir = @infodir@
170install_sh = @install_sh@
171libdir = @libdir@
172libexecdir = @libexecdir@
173localedir = @localedir@
174localstatedir = @localstatedir@
175mandir = @mandir@
176mkdir_p = @mkdir_p@
177oldincludedir = @oldincludedir@
178pdfdir = @pdfdir@
179prefix = @prefix@
180program_transform_name = @program_transform_name@
181psdir = @psdir@
182sbindir = @sbindir@
183sharedstatedir = @sharedstatedir@
184srcdir = @srcdir@
185sysconfdir = @sysconfdir@
186target_alias = @target_alias@
187top_builddir = @top_builddir@
188top_srcdir = @top_srcdir@
189@CppAD_POSTFIX_FALSE@postfix_dir = .
190
191# -----------------------------------------------------------------------------
192# CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-08 Bradley M. Bell
193#
194# CppAD is distributed under multiple licenses. This distribution is under
195# the terms of the
196#                     Common Public License Version 1.0.
197#
198# A copy of this license is included in the COPYING file of this distribution.
199# Please visit http://www.coin-or.org/CppAD/ for information on other licenses.
200# -----------------------------------------------------------------------------
201#
202# automake input file
203#
204# Note that config.h is needed by VC++; i.e., for users that do not run
205# the configure script but rather use the project files
206#
207@CppAD_POSTFIX_TRUE@postfix_dir = $(POSTFIX_DIR)
208myincludedir = $(includedir)/$(postfix_dir)
209nobase_myinclude_HEADERS = \
210        cppad/TrackNewDel.h \
211        cppad/SpeedTest.h \
212        cppad/Runge45.h \
213        cppad/Rosen34.h \
214        cppad/RombergOne.h \
215        cppad/RombergMul.h \
216        cppad/PowInt.h \
217        cppad/Poly.h \
218        cppad/OdeGearControl.h \
219        cppad/OdeGear.h \
220        cppad/OdeErrControl.h \
221        cppad/NearEqual.h \
222        cppad/LuSolve.h \
223        cppad/LuInvert.h \
224        cppad/LuFactor.h \
225        cppad/ErrorHandler.h \
226        cppad/CppAD_vector.h \
227        cppad/CppAD.h \
228        cppad/CheckSimpleVector.h \
229        cppad/CheckNumericType.h \
230        cppad/config.h \
231        cppad/check_numeric_type.hpp \
232        cppad/check_simple_vector.hpp \
233        cppad/cppad.hpp \
234        cppad/declare.hpp \
235        cppad/vector.hpp \
236        cppad/error_handler.hpp \
237        cppad/lu_factor.hpp \
238        cppad/lu_invert.hpp \
239        cppad/lu_solve.hpp \
240        cppad/nan.hpp \
241        cppad/near_equal.hpp \
242        cppad/ode_err_control.hpp \
243        cppad/ode_gear.hpp \
244        cppad/ode_gear_control.hpp \
245        cppad/poly.hpp \
246        cppad/pow_int.hpp \
247        cppad/romberg_one.hpp \
248        cppad/romberg_mul.hpp \
249        cppad/rosen_34.hpp \
250        cppad/runge_45.hpp \
251        cppad/speed_test.hpp \
252        cppad/std_math_unary.hpp \
253        cppad/track_new_del.hpp \
254        cppad/local/ad.hpp \
255        cppad/local/ad_binary.hpp \
256        cppad/local/ad_copy.hpp \
257        cppad/local/ad_fun.hpp \
258        cppad/local/ad_tape.hpp \
259        cppad/local/ad_valued.hpp \
260        cppad/local/abort_recording.hpp \
261        cppad/local/abs.hpp \
262        cppad/local/abs_op.hpp \
263        cppad/local/acos_op.hpp \
264        cppad/local/add.hpp \
265        cppad/local/add_eq.hpp \
266        cppad/local/add_op.hpp \
267        cppad/local/arithmetic.hpp \
268        cppad/local/asin_op.hpp \
269        cppad/local/atan2.hpp \
270        cppad/local/atan_op.hpp \
271        cppad/local/base_complex.hpp \
272        cppad/local/bender_quad.hpp \
273        cppad/local/bool_fun.hpp \
274        cppad/local/bool_fun_link.hpp \
275        cppad/local/bool_valued.hpp \
276        cppad/local/cap_taylor.hpp \
277        cppad/local/compare.hpp \
278        cppad/local/compute_assign.hpp \
279        cppad/local/cond_exp.hpp \
280        cppad/local/convert.hpp \
281        cppad/local/cppad_assert.hpp \
282        cppad/local/declare_ad.hpp \
283        cppad/local/default.hpp \
284        cppad/local/define.hpp \
285        cppad/local/dependent.hpp \
286        cppad/local/discrete.hpp \
287        cppad/local/div.hpp \
288        cppad/local/div_eq.hpp \
289        cppad/local/div_op.hpp \
290        cppad/local/drivers.hpp \
291        cppad/local/equal_op_seq.hpp \
292        cppad/local/erf.hpp \
293        cppad/local/exp_op.hpp \
294        cppad/local/for_one.hpp \
295        cppad/local/for_two.hpp \
296        cppad/local/for_jac_sweep.hpp \
297        cppad/local/for_sparse_jac.hpp \
298        cppad/local/forward.hpp \
299        cppad/local/forward_sweep.hpp \
300        cppad/local/forward0sweep.hpp \
301        cppad/local/fun_check.hpp \
302        cppad/local/fun_eval.hpp \
303        cppad/local/fun_construct.hpp \
304        cppad/local/hessian.hpp \
305        cppad/local/identical.hpp \
306        cppad/local/independent.hpp \
307        cppad/local/integer.hpp \
308        cppad/local/jacobian.hpp \
309        cppad/local/log_op.hpp \
310        cppad/local/lu_ratio.hpp \
311        cppad/local/math_other.hpp \
312        cppad/local/mul.hpp \
313        cppad/local/mul_eq.hpp \
314        cppad/local/mul_op.hpp \
315        cppad/local/omp_max_thread.hpp \
316        cppad/local/op.hpp \
317        cppad/local/op_code.hpp \
318        cppad/local/ordered.hpp \
319        cppad/local/output.hpp \
320        cppad/local/par_var.hpp \
321        cppad/local/pow.hpp \
322        cppad/local/preprocessor.hpp \
323        cppad/local/print_for.hpp \
324        cppad/local/near_equal_ext.hpp \
325        cppad/local/reverse.hpp \
326        cppad/local/rev_hes_sweep.hpp \
327        cppad/local/rev_jac_sweep.hpp \
328        cppad/local/rev_one.hpp \
329        cppad/local/rev_sparse_jac.hpp \
330        cppad/local/rev_sparse_hes.hpp \
331        cppad/local/rev_two.hpp \
332        cppad/local/reverse_sweep.hpp \
333        cppad/local/sin_cos.hpp \
334        cppad/local/sparse.hpp \
335        cppad/local/sparse_hessian.hpp \
336        cppad/local/sparse_jacobian.hpp \
337        cppad/local/sqrt_op.hpp \
338        cppad/local/std_math_ad.hpp \
339        cppad/local/sub.hpp \
340        cppad/local/sub_eq.hpp \
341        cppad/local/sub_op.hpp \
342        cppad/local/tape_link.hpp \
343        cppad/local/recorder.hpp \
344        cppad/local/player.hpp \
345        cppad/local/test_vector.hpp \
346        cppad/local/user_ad.hpp \
347        cppad/local/unary_minus.hpp \
348        cppad/local/unary_plus.hpp \
349        cppad/local/vec_ad.hpp \
350        cppad/local/undef.hpp \
351        cppad/local/value.hpp \
352        cppad/local/var2par.hpp \
353        cppad/speed/det_33.hpp \
354        cppad/speed/det_by_lu.hpp \
355        cppad/speed/det_by_minor.hpp \
356        cppad/speed/det_grad_33.hpp \
357        cppad/speed/det_of_minor.hpp \
358        cppad/speed/ode_evaluate.hpp \
359        cppad/speed/sparse_evaluate.hpp \
360        cppad/speed/uniform_01.hpp
361
362@CppAD_INTRODUCTION_FALSE@INTRODUCTION =
363#
364#
365# Did user specify --with-Introduction
366@CppAD_INTRODUCTION_TRUE@INTRODUCTION = \
367@CppAD_INTRODUCTION_TRUE@       introduction/get_started \
368@CppAD_INTRODUCTION_TRUE@       introduction/exp_apx
369
370@CppAD_EXAMPLE_FALSE@EXAMPLE =
371#
372# Did user specify --with-Example
373@CppAD_EXAMPLE_TRUE@EXAMPLE = example
374@CppAD_TEST_MORE_FALSE@TEST_MORE =
375#
376# Did user specify --with-TestMore
377@CppAD_TEST_MORE_TRUE@TEST_MORE = test_more
378# ----------------------------------------------------------------------
379# user did not specify --with-Speed
380@CppAD_SPEED_FALSE@SPEED_CPPAD =
381#
382# user specified --with-Speed -------------------------------------
383@CppAD_SPEED_TRUE@SPEED_CPPAD = speed/cppad speed/double speed/example speed/profile
384#
385# Did user specify a value for ADOLC_DIR in configure command line
386@CppAD_ADOLC_TRUE@@CppAD_SPEED_TRUE@SPEED_ADOLC = speed/adolc
387@CppAD_SPEED_FALSE@SPEED_ADOLC =
388#
389# Did user specify a value for FADBAD_DIR in configure command line
390@CppAD_FADBAD_TRUE@@CppAD_SPEED_TRUE@SPEED_FADBAD = speed/fadbad
391@CppAD_SPEED_FALSE@SPEED_FADBAD =
392#
393# Did user specify a value for SACADO_DIR in configure command line
394@CppAD_SACADO_TRUE@@CppAD_SPEED_TRUE@SPEED_SACADO = speed/sacado
395@CppAD_SPEED_FALSE@SPEED_SACADO =
396@CppAD_PRINTFOR_FALSE@PRINTFOR =
397# ----------------------------------------------------------------------
398# Did user specify --with-PrintFor
399@CppAD_PRINTFOR_TRUE@PRINTFOR = print_for
400@CppAD_IPOPT_CPPAD_FALSE@IPOPT_CPPAD =
401#
402# ---------------------------------------------------------------
403# Did user specify a value for IPOPT_DIR in configure command line
404#
405# ---------------------------------------------------------------
406# Did user specify a value for IPOPT_DIR in configure command line
407@CppAD_IPOPT_CPPAD_TRUE@IPOPT_CPPAD = ipopt_cppad
408#
409SUBDIRS = \
410        $(IPOPT_CPPAD) \
411        $(IPOPT_CPPAD) \
412        $(EXAMPLE) \
413        $(INTRODUCTION) \
414        $(PRINTFOR) \
415        $(SPEED_CPPAD) \
416        $(SPEED_ADOLC) \
417        $(SPEED_FADBAD) \
418        $(SPEED_SACADO) \
419        $(TEST_MORE)
420
421#
422EXTRA_DIST = \
423        build.sh \
424        check_example.sh \
425        check_include_file.sh \
426        check_include_omh.sh \
427        check_include_def.sh \
428        clean_cppad.sh \
429        cpl1.0.txt \
430        dev.omh \
431        doc \
432        doc.omh \
433        doc.omh.in \
434        fix_aclocal.sh \
435        fix_makefile.sh \
436        omh \
437        openmp/example_a11c.cpp \
438        openmp/multi_newton.cpp \
439        openmp/multi_newton.hpp \
440        openmp/sum_i_inv.cpp \
441        openmp/run.sh \
442        run_omhelp.sh \
443        uw_copy_040507.html
444
445#
446@CppAD_DOCUMENTATION_TRUE@doc_prefix = $(DESTDIR)$(datadir)
447@CppAD_DOCUMENTATION_TRUE@doc_doc = $(doc_prefix)/doc
448@CppAD_DOCUMENTATION_TRUE@doc_postfix = $(doc_doc)/$(postfix_dir)
449@CppAD_DOCUMENTATION_TRUE@doc_package = $(doc_postfix)/$(PACKAGE)-$(VERSION)
450all: all-recursive
451
452.SUFFIXES:
453am--refresh:
454        @:
455$(srcdir)/makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/makefile.am  $(am__configure_deps)
456        @for dep in $?; do \
457          case '$(am__configure_deps)' in \
458            *$$dep*) \
459              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
460              cd $(srcdir) && $(AUTOMAKE) --gnu  \
461                && exit 0; \
462              exit 1;; \
463          esac; \
464        done; \
465        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  makefile'; \
466        cd $(top_srcdir) && \
467          $(AUTOMAKE) --gnu  makefile
468.PRECIOUS: makefile
469makefile: $(srcdir)/makefile.in $(top_builddir)/config.status
470        @case '$?' in \
471          *config.status*) \
472            echo ' $(SHELL) ./config.status'; \
473            $(SHELL) ./config.status;; \
474          *) \
475            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
476            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
477        esac;
478
479$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
480        $(SHELL) ./config.status --recheck
481
482$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
483        cd $(srcdir) && $(AUTOCONF)
484$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
485        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
486
487cppad/config.h: cppad/stamp-h1
488        @if test ! -f $@; then \
489          rm -f cppad/stamp-h1; \
490          $(MAKE) $(AM_MAKEFLAGS) cppad/stamp-h1; \
491        else :; fi
492
493cppad/stamp-h1: $(top_srcdir)/cppad/config.h.in $(top_builddir)/config.status
494        @rm -f cppad/stamp-h1
495        cd $(top_builddir) && $(SHELL) ./config.status cppad/config.h
496$(top_srcdir)/cppad/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
497        cd $(top_srcdir) && $(AUTOHEADER)
498        rm -f cppad/stamp-h1
499        touch $@
500
501distclean-hdr:
502        -rm -f cppad/config.h cppad/stamp-h1
503doc.omh: $(top_builddir)/config.status $(srcdir)/doc.omh.in
504        cd $(top_builddir) && $(SHELL) ./config.status $@
505omh/install_unix.omh: $(top_builddir)/config.status $(top_srcdir)/omh/install_unix.omh.in
506        cd $(top_builddir) && $(SHELL) ./config.status $@
507omh/install_windows.omh: $(top_builddir)/config.status $(top_srcdir)/omh/install_windows.omh.in
508        cd $(top_builddir) && $(SHELL) ./config.status $@
509install-nobase_myincludeHEADERS: $(nobase_myinclude_HEADERS)
510        @$(NORMAL_INSTALL)
511        test -z "$(myincludedir)" || $(MKDIR_P) "$(DESTDIR)$(myincludedir)"
512        @$(am__vpath_adj_setup) \
513        list='$(nobase_myinclude_HEADERS)'; for p in $$list; do \
514          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
515          $(am__vpath_adj) \
516          echo " $(nobase_myincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(myincludedir)/$$f'"; \
517          $(nobase_myincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(myincludedir)/$$f"; \
518        done
519
520uninstall-nobase_myincludeHEADERS:
521        @$(NORMAL_UNINSTALL)
522        @$(am__vpath_adj_setup) \
523        list='$(nobase_myinclude_HEADERS)'; for p in $$list; do \
524          $(am__vpath_adj) \
525          echo " rm -f '$(DESTDIR)$(myincludedir)/$$f'"; \
526          rm -f "$(DESTDIR)$(myincludedir)/$$f"; \
527        done
528
529# This directory's subdirectories are mostly independent; you can cd
530# into them and run `make' without going through this Makefile.
531# To change the values of `make' variables: instead of editing Makefiles,
532# (1) if the variable is set in `config.status', edit `config.status'
533#     (which will cause the Makefiles to be regenerated when you run `make');
534# (2) otherwise, pass the desired values on the `make' command line.
535$(RECURSIVE_TARGETS):
536        @failcom='exit 1'; \
537        for f in x $$MAKEFLAGS; do \
538          case $$f in \
539            *=* | --[!k]*);; \
540            *k*) failcom='fail=yes';; \
541          esac; \
542        done; \
543        dot_seen=no; \
544        target=`echo $@ | sed s/-recursive//`; \
545        list='$(SUBDIRS)'; for subdir in $$list; do \
546          echo "Making $$target in $$subdir"; \
547          if test "$$subdir" = "."; then \
548            dot_seen=yes; \
549            local_target="$$target-am"; \
550          else \
551            local_target="$$target"; \
552          fi; \
553          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
554          || eval $$failcom; \
555        done; \
556        if test "$$dot_seen" = "no"; then \
557          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
558        fi; test -z "$$fail"
559
560$(RECURSIVE_CLEAN_TARGETS):
561        @failcom='exit 1'; \
562        for f in x $$MAKEFLAGS; do \
563          case $$f in \
564            *=* | --[!k]*);; \
565            *k*) failcom='fail=yes';; \
566          esac; \
567        done; \
568        dot_seen=no; \
569        case "$@" in \
570          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
571          *) list='$(SUBDIRS)' ;; \
572        esac; \
573        rev=''; for subdir in $$list; do \
574          if test "$$subdir" = "."; then :; else \
575            rev="$$subdir $$rev"; \
576          fi; \
577        done; \
578        rev="$$rev ."; \
579        target=`echo $@ | sed s/-recursive//`; \
580        for subdir in $$rev; do \
581          echo "Making $$target in $$subdir"; \
582          if test "$$subdir" = "."; then \
583            local_target="$$target-am"; \
584          else \
585            local_target="$$target"; \
586          fi; \
587          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
588          || eval $$failcom; \
589        done && test -z "$$fail"
590tags-recursive:
591        list='$(SUBDIRS)'; for subdir in $$list; do \
592          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
593        done
594ctags-recursive:
595        list='$(SUBDIRS)'; for subdir in $$list; do \
596          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
597        done
598
599ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
600        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
601        unique=`for i in $$list; do \
602            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
603          done | \
604          $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
605              END { if (nonempty) { for (i in files) print i; }; }'`; \
606        mkid -fID $$unique
607tags: TAGS
608
609TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
610                $(TAGS_FILES) $(LISP)
611        tags=; \
612        here=`pwd`; \
613        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
614          include_option=--etags-include; \
615          empty_fix=.; \
616        else \
617          include_option=--include; \
618          empty_fix=; \
619        fi; \
620        list='$(SUBDIRS)'; for subdir in $$list; do \
621          if test "$$subdir" = .; then :; else \
622            test ! -f $$subdir/TAGS || \
623              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
624          fi; \
625        done; \
626        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
627        unique=`for i in $$list; do \
628            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
629          done | \
630          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
631              END { if (nonempty) { for (i in files) print i; }; }'`; \
632        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
633          test -n "$$unique" || unique=$$empty_fix; \
634          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
635            $$tags $$unique; \
636        fi
637ctags: CTAGS
638CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
639                $(TAGS_FILES) $(LISP)
640        tags=; \
641        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
642        unique=`for i in $$list; do \
643            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
644          done | \
645          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
646              END { if (nonempty) { for (i in files) print i; }; }'`; \
647        test -z "$(CTAGS_ARGS)$$tags$$unique" \
648          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
649             $$tags $$unique
650
651GTAGS:
652        here=`$(am__cd) $(top_builddir) && pwd` \
653          && cd $(top_srcdir) \
654          && gtags -i $(GTAGS_ARGS) $$here
655
656distclean-tags:
657        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
658
659distdir: $(DISTFILES)
660        $(am__remove_distdir)
661        test -d $(distdir) || mkdir $(distdir)
662        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
663        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
664        list='$(DISTFILES)'; \
665          dist_files=`for file in $$list; do echo $$file; done | \
666          sed -e "s|^$$srcdirstrip/||;t" \
667              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
668        case $$dist_files in \
669          */*) $(MKDIR_P) `echo "$$dist_files" | \
670                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
671                           sort -u` ;; \
672        esac; \
673        for file in $$dist_files; do \
674          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
675          if test -d $$d/$$file; then \
676            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
677            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
678              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
679            fi; \
680            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
681          else \
682            test -f $(distdir)/$$file \
683            || cp -p $$d/$$file $(distdir)/$$file \
684            || exit 1; \
685          fi; \
686        done
687        list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
688          if test "$$subdir" = .; then :; else \
689            test -d "$(distdir)/$$subdir" \
690            || $(MKDIR_P) "$(distdir)/$$subdir" \
691            || exit 1; \
692            distdir=`$(am__cd) $(distdir) && pwd`; \
693            top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
694            (cd $$subdir && \
695              $(MAKE) $(AM_MAKEFLAGS) \
696                top_distdir="$$top_distdir" \
697                distdir="$$distdir/$$subdir" \
698                am__remove_distdir=: \
699                am__skip_length_check=: \
700                distdir) \
701              || exit 1; \
702          fi; \
703        done
704        $(MAKE) $(AM_MAKEFLAGS) \
705          top_distdir="$(top_distdir)" distdir="$(distdir)" \
706          dist-hook
707        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
708          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
709          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
710          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
711        || chmod -R a+r $(distdir)
712dist-gzip: distdir
713        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
714        $(am__remove_distdir)
715
716dist-bzip2: distdir
717        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
718        $(am__remove_distdir)
719
720dist-lzma: distdir
721        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
722        $(am__remove_distdir)
723
724dist-tarZ: distdir
725        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
726        $(am__remove_distdir)
727
728dist-shar: distdir
729        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
730        $(am__remove_distdir)
731
732dist-zip: distdir
733        -rm -f $(distdir).zip
734        zip -rq $(distdir).zip $(distdir)
735        $(am__remove_distdir)
736
737dist dist-all: distdir
738        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
739        $(am__remove_distdir)
740
741# This target untars the dist file and tries a VPATH configuration.  Then
742# it guarantees that the distribution is self-contained by making another
743# tarfile.
744distcheck: dist
745        case '$(DIST_ARCHIVES)' in \
746        *.tar.gz*) \
747          GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
748        *.tar.bz2*) \
749          bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
750        *.tar.lzma*) \
751          unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
752        *.tar.Z*) \
753          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
754        *.shar.gz*) \
755          GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
756        *.zip*) \
757          unzip $(distdir).zip ;;\
758        esac
759        chmod -R a-w $(distdir); chmod a+w $(distdir)
760        mkdir $(distdir)/_build
761        mkdir $(distdir)/_inst
762        chmod a-w $(distdir)
763        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
764          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
765          && cd $(distdir)/_build \
766          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
767            $(DISTCHECK_CONFIGURE_FLAGS) \
768          && $(MAKE) $(AM_MAKEFLAGS) \
769          && $(MAKE) $(AM_MAKEFLAGS) dvi \
770          && $(MAKE) $(AM_MAKEFLAGS) check \
771          && $(MAKE) $(AM_MAKEFLAGS) install \
772          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
773          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
774          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
775                distuninstallcheck \
776          && chmod -R a-w "$$dc_install_base" \
777          && ({ \
778               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
779               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
780               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
781               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
782                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
783              } || { rm -rf "$$dc_destdir"; exit 1; }) \
784          && rm -rf "$$dc_destdir" \
785          && $(MAKE) $(AM_MAKEFLAGS) dist \
786          && rm -rf $(DIST_ARCHIVES) \
787          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
788        $(am__remove_distdir)
789        @(echo "$(distdir) archives ready for distribution: "; \
790          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
791          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
792distuninstallcheck:
793        @cd $(distuninstallcheck_dir) \
794        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
795           || { echo "ERROR: files left after uninstall:" ; \
796                if test -n "$(DESTDIR)"; then \
797                  echo "  (check DESTDIR support)"; \
798                fi ; \
799                $(distuninstallcheck_listfiles) ; \
800                exit 1; } >&2
801distcleancheck: distclean
802        @if test '$(srcdir)' = . ; then \
803          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
804          exit 1 ; \
805        fi
806        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
807          || { echo "ERROR: files left in build directory after distclean:" ; \
808               $(distcleancheck_listfiles) ; \
809               exit 1; } >&2
810check-am: all-am
811check: check-recursive
812all-am: makefile $(HEADERS)
813installdirs: installdirs-recursive
814installdirs-am:
815        for dir in "$(DESTDIR)$(myincludedir)"; do \
816          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
817        done
818install: install-recursive
819install-exec: install-exec-recursive
820install-data: install-data-recursive
821uninstall: uninstall-recursive
822
823install-am: all-am
824        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
825
826installcheck: installcheck-recursive
827install-strip:
828        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
829          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
830          `test -z '$(STRIP)' || \
831            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
832mostlyclean-generic:
833
834clean-generic:
835
836distclean-generic:
837        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
838
839maintainer-clean-generic:
840        @echo "This command is intended for maintainers to use"
841        @echo "it deletes files that may require special tools to rebuild."
842@CppAD_DOCUMENTATION_FALSE@install-data-hook:
843clean: clean-recursive
844
845clean-am: clean-generic mostlyclean-am
846
847distclean: distclean-recursive
848        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
849        -rm -f makefile
850distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
851
852dvi: dvi-recursive
853
854dvi-am:
855
856html: html-recursive
857
858info: info-recursive
859
860info-am:
861
862install-data-am: install-nobase_myincludeHEADERS
863        @$(NORMAL_INSTALL)
864        $(MAKE) $(AM_MAKEFLAGS) install-data-hook
865
866install-dvi: install-dvi-recursive
867
868install-exec-am:
869
870install-html: install-html-recursive
871
872install-info: install-info-recursive
873
874install-man:
875
876install-pdf: install-pdf-recursive
877
878install-ps: install-ps-recursive
879
880installcheck-am:
881
882maintainer-clean: maintainer-clean-recursive
883        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
884        -rm -rf $(top_srcdir)/autom4te.cache
885        -rm -f makefile
886maintainer-clean-am: distclean-am maintainer-clean-generic
887
888mostlyclean: mostlyclean-recursive
889
890mostlyclean-am: mostlyclean-generic
891
892pdf: pdf-recursive
893
894pdf-am:
895
896ps: ps-recursive
897
898ps-am:
899
900uninstall-am: uninstall-nobase_myincludeHEADERS
901
902.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
903        install-data-am install-strip
904
905.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
906        all all-am am--refresh check check-am clean clean-generic \
907        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
908        dist-hook dist-lzma dist-shar dist-tarZ dist-zip distcheck \
909        distclean distclean-generic distclean-hdr distclean-tags \
910        distcleancheck distdir distuninstallcheck dvi dvi-am html \
911        html-am info info-am install install-am install-data \
912        install-data-am install-data-hook install-dvi install-dvi-am \
913        install-exec install-exec-am install-html install-html-am \
914        install-info install-info-am install-man \
915        install-nobase_myincludeHEADERS install-pdf install-pdf-am \
916        install-ps install-ps-am install-strip installcheck \
917        installcheck-am installdirs installdirs-am maintainer-clean \
918        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
919        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
920        uninstall-nobase_myincludeHEADERS
921
922#
923dist-hook:
924        rm -rf `find $(distdir)/omh $(distdir)/openmp -name .svn`
925        rm $(distdir)/doc/error.wrd
926@CppAD_DOCUMENTATION_TRUE@install-data-hook:
927@CppAD_DOCUMENTATION_TRUE@      if [ ! -e $(doc_prefix) ] ; then mkdir $(doc_prefix) ; fi
928@CppAD_DOCUMENTATION_TRUE@      if [ ! -e $(doc_doc) ] ; then mkdir $(doc_doc) ; fi
929@CppAD_DOCUMENTATION_TRUE@      if [ ! -e $(doc_postfix) ] ; then mkdir $(doc_postfix) ; fi
930@CppAD_DOCUMENTATION_TRUE@      if [ -e $(doc_package) ] ; then rm -rf $(doc_package) ; fi
931@CppAD_DOCUMENTATION_TRUE@      cp -a $(top_builddir)/doc $(doc_package)
932@CppAD_DOCUMENTATION_TRUE@      chmod -R a-w $(doc_package)
933@CppAD_DOCUMENTATION_TRUE@      chmod -R u+w $(doc_package)
934@CppAD_DOCUMENTATION_TRUE@      chmod -R a+r $(doc_package)
935#
936# Tell versions [3.59,3.63) of GNU make to not export all variables.
937# Otherwise a system limit (for SysV at least) may be exceeded.
938.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.